## and 0.1.1

=== DESCRIPTION ===
Package: and
Title: Construct Natural-Language Lists with Internationalization
Version: 0.1.1
Authors@R: c(
    person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0001-9412-0457")),
    person(, "Unicode, Inc.", role = "dtc",
           comment = "Language data")
  )
Description: Construct language-aware lists. Make "and"-separated and
    "or"-separated lists that automatically conform to the user's language
    settings.
License: MIT + file LICENSE
URL: http://and.rossellhayes.com, https://github.com/rossellhayes/and
BugReports: https://github.com/rossellhayes/and/issues
Depends: R (>= 2.10)
Imports: glue, rlang (>= 1.0.0)
Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-07-16 18:57:22 UTC; alex
Author: Alexander Rossell Hayes [aut, cre, cph]
    (<https://orcid.org/0000-0001-9412-0457>),
  Unicode, Inc. [dtc] (Language data)
Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
Repository: CRAN
Date/Publication: 2022-07-18 08:30:05 UTC

## and 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -21,10 +21,10 @@
 LazyData: true
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-07-16 18:57:22 UTC; alex
+Packaged: 2022-08-17 17:04:06 UTC; alex
 Author: Alexander Rossell Hayes [aut, cre, cph]
     (<https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data)
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2022-07-18 08:30:05 UTC
+Date/Publication: 2022-08-17 17:50:02 UTC

## and 0.1.3

=== DESCRIPTION ===
Package: and
Title: Construct Natural-Language Lists with Internationalization
Version: 0.1.3
Authors@R: c(
    person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0001-9412-0457")),
    person(, "Unicode, Inc.", role = "dtc",
           comment = "Language data")
  )
Description: Construct language-aware lists. Make "and"-separated and
    "or"-separated lists that automatically conform to the user's language
    settings.
License: MIT + file LICENSE
URL: https://and.rossellhayes.com, https://github.com/rossellhayes/and
BugReports: https://github.com/rossellhayes/and/issues
Depends: R (>= 2.10)
Imports: glue, rlang (>= 1.0.0)
Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-10-20 23:19:11 UTC; alex
Author: Alexander Rossell Hayes [aut, cre, cph]
    (<https://orcid.org/0000-0001-9412-0457>),
  Unicode, Inc. [dtc] (Language data)
Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
Repository: CRAN
Date/Publication: 2022-10-20 23:55:06 UTC

## and 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -19,12 +19,12 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-10-20 23:19:11 UTC; alex
+Packaged: 2023-06-13 21:56:53 UTC; alex
 Author: Alexander Rossell Hayes [aut, cre, cph]
     (<https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data)
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2022-10-20 23:55:06 UTC
+Date/Publication: 2023-06-14 03:00:07 UTC

## and 0.1.5

=== DESCRIPTION ===
Package: and
Title: Construct Natural-Language Lists with Internationalization
Version: 0.1.5
Authors@R: c(
    person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0001-9412-0457")),
    person(, "Unicode, Inc.", role = "dtc",
           comment = "Language data"),
    person("Flavia", "Rossell Hayes", role = "ill")
  )
Description: Construct language-aware lists. Make "and"-separated and
    "or"-separated lists that automatically conform to the user's language
    settings.
License: MIT + file LICENSE
URL: https://pkg.rossellhayes.com/and/,
        https://github.com/rossellhayes/and
BugReports: https://github.com/rossellhayes/and/issues
Depends: R (>= 2.10)
Imports: glue, rlang (>= 1.0.0)
Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-09-24 03:59:38 UTC; alex
Author: Alexander Rossell Hayes [aut, cre, cph]
    (<https://orcid.org/0000-0001-9412-0457>),
  Unicode, Inc. [dtc] (Language data),
  Flavia Rossell Hayes [ill]
Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
Repository: CRAN
Date/Publication: 2023-09-24 04:40:02 UTC

## and 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -15,19 +15,19 @@
 URL: https://pkg.rossellhayes.com/and/,
         https://github.com/rossellhayes/and
 BugReports: https://github.com/rossellhayes/and/issues
-Depends: R (>= 2.10)
+Depends: R (>= 3.5)
 Imports: glue, rlang (>= 1.0.0)
 Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-09-24 03:59:38 UTC; alex
+Packaged: 2025-02-25 21:19:28 UTC; alex
 Author: Alexander Rossell Hayes [aut, cre, cph]
     (<https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data),
   Flavia Rossell Hayes [ill]
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2023-09-24 04:40:02 UTC
+Date/Publication: 2025-02-25 21:50:05 UTC

## and 0.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.6
+Version: 0.1.7
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -21,13 +21,13 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-02-25 21:19:28 UTC; alex
-Author: Alexander Rossell Hayes [aut, cre, cph]
-    (<https://orcid.org/0000-0001-9412-0457>),
+Packaged: 2025-12-01 03:11:56 UTC; alex
+Author: Alexander Rossell Hayes [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data),
   Flavia Rossell Hayes [ill]
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2025-02-25 21:50:05 UTC
+Date/Publication: 2025-12-01 08:40:02 UTC

## and 1.0.7-1

=== Makefile ===
#
# Makefile for auto nice daemon
#
# 1999, 2000, 2001, 2002 Patrick Schemitz <schemitz@users.sourceforge.net>
# http://and.sourceforge.net/
#


#######################################################################
# Edit here to adapt to your system!                                  #
#######################################################################


#
# Init script. 
# (and.init.debian for Debian GNU/Linux or and.init for others;
# leave empty for BSD!)
#
INITSCRIPT=and.init

#
# Target directories. Examples for common configurations are
# given below.
#
PREFIX=/usr/local
INSTALL_ETC=$(PREFIX)/etc
INSTALL_INITD=/etc/init.d
INSTALL_SBIN=$(PREFIX)/sbin
INSTALL_MAN=$(PREFIX)/man

# typical OpenBSD or FreeBSD configuration
#PREFIX=/usr/local
#INSTALL_ETC=/etc
#INSTALL_INITD=
#INSTALL_SBIN=$(PREFIX)/sbin
#INSTALL_MAN=$(PREFIX)/man

# typical Debian or SuSE 7.x configuration
#PREFIX=/usr
#INSTALL_ETC=/etc
#INSTALL_INITD=/etc/init.d
#INSTALL_SBIN=$(PREFIX)/sbin
#INSTALL_MAN=$(PREFIX)/share/man

# typical SuSE 6.x configuration
#PREFIX=/usr
#INSTALL_ETC=/etc
#INSTALL_INITD=/sbin/init.d
#INSTALL_SBIN=$(PREFIX)/sbin
#INSTALL_MAN=$(PREFIX)/man

# typical Redhat / Mandrake configuration
#PREFIX=/usr
#INSTALL_ETC=/etc
#INSTALL_INITD=/etc/rc.d/init.d
#INSTALL_SBIN=$(PREFIX)/sbin
#INSTALL_MAN=$(PREFIX)/share/man

# typical OSF/1 / Digital UNIX 4 configuration
#PREFIX=/usr/local
#INSTALL_ETC=/etc
#INSTALL_INITD=/sbin/init.d
#INSTALL_SBIN=$(PREFIX)/sbin
#INSTALL_MAN=$(PREFIX)/man

#
# Install program
#
INSTALL=install


#######################################################################
# Stop editing here!                                                  #
#######################################################################

default: and $(INITSCRIPT) doc

#
# Version and date
#
VERSION=1.0.7
DATE="27 Jan 2002"

#
# Man pages
#
MANPAGES=and.8 and.conf.5 and.priorities.5

#
# Determine architecture from uname(1)
#
ARCH=$(shell uname)

#
# Architecture-dependent settings: ANSI C compiler and linker
#
ifeq (${ARCH},Linux)
  CC = gcc -ansi -pedantic -Wall
  LD = gcc
  LIBS =
else
ifeq (${ARCH},OSF1)
  CC = cc -ansi
  LD = cc
  LIBS =
else
ifeq (${ARCH},OpenBSD)
  CC = gcc
  LD = gcc
  LIBS = -lkvm
else
ifeq (${ARCH},FreeBSD)
  CC = gcc -Wall
  LD = gcc
  LIBS = -lkvm
else
ifeq (${ARCH},SunOS)
  CC = cc -D__SunOS__
  LD = cc
else
ifeq (${ARCH},IRIX)
  CC = cc
  LD = cc
else
ifeq (${ARCH},IRIX64)
  CC = cc
  LD = cc
else
  # unsupported architecture
  CC = false
  LD = false
  LIBS =
endif
endif
endif
endif
endif
endif
endif


#
# Build the auto-nice daemon.
#
and: and.o and-$(ARCH).o
	$(LD) and.o and-$(ARCH).o -o and $(LIBS)


#
# Independent part: configuration management, priority database.
#
and.o: and.c and.h
	$(CC) -DDEFAULT_INTERVAL=60 -DDEFAULT_NICE=0 \
	  -DDEFAULT_CONFIG_FILE=\"$(INSTALL_ETC)/and.conf\" \
	  -DDEFAULT_DATABASE_FILE=\"$(INSTALL_ETC)/and.priorities\" \
	  -DAND_VERSION=\"$(VERSION)\" -DAND_DATE=\"$(DATE)\" -c and.c


#
# Unix variant specific stuff
#
and-Linux.o: and.h and-Linux.c
	$(CC) -c and-Linux.c

and-OpenBSD.o: and.h and-OpenBSD.c
	$(CC) -c and-OpenBSD.c

and-FreeBSD.o: and.h and-OpenBSD.c
	$(CC) -c and-OpenBSD.c -o and-FreeBSD.o

and-OSF1.o: and.h and-OSF1.c
	$(CC) -c and-OSF1.c

and-IRIX.o: and.h and-OSF1.c
	$(CC) -c and-OSF1.c -o and-IRIX.o

and-IRIX64.o: and.h and-OSF1.c
	$(CC) -c and-OSF1.c -o and-IRIX64.o

and-SunOS.o: and.h and-OSF1.c
	$(CC) -c and-OSF1.c -o and-SunOS.o



#
# Create script for SysV init
#
and.init: and.startup
	sed s:INSTALL_SBIN:$(INSTALL_SBIN):g < and.startup > and.init
	chmod +x and.init


#
# Man pages
#
doc:	$(MANPAGES)

and.8:	and.8.man
	cat $< | \
		sed s/__VERSION__/$(VERSION)/g | \
		sed s/__DATE__/$(DATE)/g > $@

and.conf.5:	and.conf.5.man
	cat $< | \
		sed s/__VERSION__/$(VERSION)/g | \
		sed s/__DATE__/$(DATE)/g > $@

and.priorities.5:	and.priorities.5.man
	cat $< | \
		sed s/__VERSION__/$(VERSION)/g | \
		sed s/__DATE__/$(DATE)/g > $@


#
# Install and under $(PREFIX)/bin etc.
#
install: and $(INITSCRIPT)
	strip and
#-mkdir $(PREFIX)
	-mkdir -p $(DESTDIR)$(INSTALL_SBIN)
	-mkdir -p $(DESTDIR)$(INSTALL_ETC)
	-mkdir -p $(DESTDIR)$(INSTALL_INITD)
	-mkdir -p $(DESTDIR)$(INSTALL_MAN)/man5
	-mkdir -p $(DESTDIR)$(INSTALL_MAN)/man8
	$(INSTALL) -m 0755 and $(DESTDIR)$(INSTALL_SBIN)
	test -e $(DESTDIR)$(INSTALL_ETC)/and.conf || \
	   $(INSTALL) -m 0644 and.conf $(DESTDIR)$(INSTALL_ETC)
	test -e $(DESTDIR)$(INSTALL_ETC)/and.priorities || \
	   $(INSTALL) -m 0644 and.priorities $(DESTDIR)$(INSTALL_ETC)
ifneq (${INITSCRIPT},)
ifneq (${INSTALL_INITD},)
	@echo "Installing SysV script in $(DESTDIR)$(INSTALL_INITD)"
	$(INSTALL) -m 0755 $(INITSCRIPT) $(DESTDIR)$(INSTALL_INITD)/and
else
	@echo "Installing SysV script in $(DESTDIR)$(INSTALL_SBIN)"
	$(INSTALL) -m 0755 $(INITSCRIPT) $(DESTDIR)$(INSTALL_SBIN)
	@echo "Installing SysV init.d finder in $(DESTDIR)$(INSTALL_SBIN)"
	$(INSTALL) -m 0755 and-find-init.d $(DESTDIR)$(INSTALL_SBIN)
endif
endif
	$(INSTALL) -m 0644 and.8 $(DESTDIR)$(INSTALL_MAN)/man8
	$(INSTALL) -m 0644 and.conf.5 $(DESTDIR)$(INSTALL_MAN)/man5
	$(INSTALL) -m 0644 and.priorities.5 $(DESTDIR)$(INSTALL_MAN)/man5

simpleinstall: and and.init
	strip and
	mkdir -p $(DESTDIR)$(INSTALL_SBIN) $(DESTDIR)$(INSTALL_ETC)
	mkdir -p $(DESTDIR)$(INSTALL_INITD)
	mkdir -p $(DESTDIR)$(INSTALL_MAN)/man5 $(DESTDIR)$(INSTALL_MAN)/man8
	cp and $(DESTDIR)$(INSTALL_SBIN)
	test -e $(DESTDIR)$(INSTALL_ETC)/and.conf || \
	   cp and.conf $(DESTDIR)$(INSTALL_ETC)
	test -e $(DESTDIR)$(INSTALL_ETC)/and.priorities || \
	   cp and.priorities $(DESTDIR)$(INSTALL_ETC)
ifneq (${INITSCRIPT},) # on SysV only
	cp $(INITSCRIPT) $(DESTDIR)$(INSTALL_INITD)/and
endif
	cp and.8 $(DESTDIR)$(INSTALL_MAN)/man8
	cp and.conf.5 $(DESTDIR)$(INSTALL_MAN)/man5
	cp and.priorities.5 $(DESTDIR)$(INSTALL_MAN)/man5

uninstall:
	rm -f $(DESTDIR)$(INSTALL_SBIN)/and
	rm -f $(DESTDIR)$(INSTALL_INITD)/and
	rm -f $(DESTDIR)$(INSTALL_ETC)/and.conf
	rm -f $(DESTDIR)$(INSTALL_ETC)/and.priorities
	rm -f $(DESTDIR)$(INSTALL_MAN)/man8/and.8
	rm -f $(DESTDIR)$(INSTALL_MAN)/man5/and.conf.5
	rm -f $(DESTDIR)$(INSTALL_MAN)/man5/and.priorities.5


#
# Clean up generated files.
#
clean:
	rm -f *.o and and.init $(MANPAGES)

distclean: clean
	find . -name \*~ -exec rm \{\} \;

=== debian/changelog ===
and (1.0.7-1) unstable; urgency=low

  * New upstream version.
  * Removed nicelevel setting from the init script. It seems to be broken
    and it's the only obstacle of using the package on potato out of the
    box (Closes: #142398).

 -- Andras Bali <bali@debian.org>  Sat, 13 Apr 2002 19:53:37 +0200

and (1.0.5-1) unstable; urgency=high

  * New upstream version (fixes format string vulnerability).
  * Added gtop to default config file (Closes: #111043).

 -- Andras Bali <bali@debian.org>  Sat, 24 Nov 2001 00:39:01 +0100

and (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #101343).

 -- Andras Bali <bali@debian.org>  Sun, 17 Jun 2001 20:41:40 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: and
Section: misc
Priority: extra
Maintainer: Andras Bali <bali@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: and
Architecture: any
Pre-Depends: dpkg (>= 1.8.0)
Depends: ${shlibs:Depends}
Description: Auto Nice Daemon
 The auto nice daemon activates itself in certain intervals and renices jobs
 according to their priority and CPU usage. Jobs owned by root are left alone.
 Jobs are never increased in their priority.
 .
 The renice intervals can be adjusted as well as the default nice level and
 the activation intervals. A priority database stores user/group/job tuples
 along with their renice values for three CPU usage time ranges. Negative nice
 levels are interpreted as signals to be sent to a process, triggered by CPU
 usage; this way, Netscapes going berserk can be killed automatically. The
 strategy for searching the priority database can be configured.
 .
 AND also provides network-wide configuration files with host-specific
 sections, as well as wildcard/regexp support for commands in the priority
 database.

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules for and
# GNU copyright 1997 to 1999 by Joey Hess.
# modified by Andras Bali <bali@debian.org>

export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) INSTALL_ETC=/etc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install INSTALL_SBIN=$(CURDIR)/debian/and/usr/sbin \
			INSTALL_ETC=$(CURDIR)/debian/and/etc/ \
			INSTALL_MAN=$(CURDIR)/debian/and/usr/share/man \
			INSTALL_INITD=$(CURDIR)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installinit
	dh_installchangelogs CHANGELOG
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## and 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for auto nice daemon
 #
-# 1999, 2000, 2001, 2002 Patrick Schemitz <schemitz@users.sourceforge.net>
+# 1999-2004 Patrick Schemitz <schemitz@users.sourceforge.net>
 # http://and.sourceforge.net/
 #
 
@@ -78,8 +78,8 @@
 #
 # Version and date
 #
-VERSION=1.0.7
-DATE="27 Jan 2002"
+VERSION=1.2.0
+DATE="10 Apr 2004"
 
 #
 # Man pages
@@ -95,7 +95,7 @@
 # Architecture-dependent settings: ANSI C compiler and linker
 #
 ifeq (${ARCH},Linux)
-  CC = gcc -ansi -pedantic -Wall
+  CC = gcc -ansi -pedantic -Wall -g
   LD = gcc
   LIBS =
 else

## and 1.2.1

=== Makefile ===
--- 
+++ 
@@ -78,8 +78,8 @@
 #
 # Version and date
 #
-VERSION=1.2.0
-DATE="10 Apr 2004"
+VERSION=1.2.1
+DATE="09 Sep 2004"
 
 #
 # Man pages

## and 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for auto nice daemon
 #
-# 1999-2004 Patrick Schemitz <schemitz@users.sourceforge.net>
+# 1999-2005 Patrick Schemitz <schemitz@users.sourceforge.net>
 # http://and.sourceforge.net/
 #
 
@@ -78,8 +78,8 @@
 #
 # Version and date
 #
-VERSION=1.2.1
-DATE="09 Sep 2004"
+VERSION=1.2.2
+DATE="27 Mar 2005"
 
 #
 # Man pages

=== debian/changelog ===
and (1.2.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in init file (Closes: #580014). Thanks to Jon Daley
    <jondaley@kumquat.limedaley.com> for the patch.

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 13 May 2010 15:53:26 +0200

and (1.2.2-4) unstable; urgency=low

  * Intend to adopt and. (Closes: #562220) 
  * debian/control:
    - Maintainer address changed.
    - Added dependency on ${misc:Depends} 
    - Debhelper upgraded to (>= 7.0.50~) to allow "override_dh_" in
      debian/rules
  * debian/rules: Replaced by the 'magic' rules file
  * Package migrated to 3.0 (quilt) format
  * Direct changes on upstream sources were extracted into patches.
    The extraction produced the following patches:
    + 000_and.8.man.diff
    + 000_and.c.diff
    + 000_and.conf.5.man.diff
    + 000_and-GNU.c.diff
    + 000_and.priorities.5.man.diff
    + 000_highpriostart.c.diff
    + 000_Makefile.diff
    + 000_watch.diff
  * Patch 000_watch.diff dropped.
  * Added headers to all extracted patches.
  * Added patch 000_and+kbsd.diff to fix FTBFS on GNU/kFreeBSD
    Thanks to Cyril Brulebois (Closes: #562295)
  * debian/copyright: Migrated to DEP-5 format.
  * debian/and.init.d: Written from scratch. (Closes: #367997)

 -- Dario Minnucci <midget@debian.org>  Mon, 25 Jan 2010 03:28:06 +0100

and (1.2.2-3) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Add Homepage field.
  * Update watch file to use SF redirector. (Closes: #449941).
  * Add -f support to run in foreground (Closes: #372746).
    + Thanks to Andras Korn for the patch!
  * Add support to build on GNU/Hurd. (Closes: #532698).
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 23 Dec 2009 16:47:24 -0500

and (1.2.2-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #460052).
  * Really acknowledge NMU (Closes: #375163).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 09:19:35 +0100

and (1.2.2-2) unstable; urgency=high

  * Acknowledge NMU (thanks to Steinar H. Gunderson)
  * Disable unconditional stripping of binaries to allow use of
    DEB_BUILD_OPTIONS=nostrip (Closes: #436457)
  * Some cleanup to make lintian happier

 -- Jerome Warnier <jwarnier@beeznest.net>  Mon, 13 Aug 2007 20:45:27 +0200

and (1.2.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add --oknodo to start-stop-daemon in the stop target in the init script;
    fixes error on package removal when the daemon is stopped.
    (Closes: #373651)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 23 Jun 2006 23:25:49 +0200

and (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Fix watch file (I hate how SourceForge does it!)
  * Fix typo in manpages (Closes: #310360)
  * Add highpriostart.c as example (Closes: #363065)
  * Fix initscript to stop it using erroneous pid file (Closes: #360713)
  * Fix manpages minus ("-") not escaped.
  * Fixed the debian/copyright file. Many thanks to Guilherme de S. Pastore
    <gpastore@debian.org> for this and more.

 -- Jerome Warnier <jwarnier@beeznest.net>  Thu, 13 Oct 2005 19:11:27 +0200

and (1.2.1-2) unstable; urgency=low

  * Fix "defaultnice" in manpage (Closes: #272782).

 -- Jerome Warnier <jwarnier@beeznest.net>  Mon, 25 Oct 2004 11:40:27 +0200

and (1.2.1-1) unstable; urgency=low

  * New upstream version (Closes: #197010).

 -- Jerome Warnier <jwarnier@beeznest.net>  Fri, 10 Sep 2004 22:47:27 +0200

and (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * New maintainer with permission from Andras

 -- Jerome Warnier <jwarnier@beeznest.net>  Mon, 19 Jul 2004 14:51:37 +0200

and (1.0.9-1) unstable; urgency=low

  * New upstream version (Closes: #154147, #230777).

 -- Jerome Warnier <jwarnier@beeznest.net>  Sun, 02 Feb 2004 19:53:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: and
 Section: misc
 Priority: extra
-Maintainer: Andras Bali <bali@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Maintainer: Dario Minnucci <midget@debian.org>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.8.3
+Homepage: http://and.sourceforge.net/
 
 Package: and
 Architecture: any
-Pre-Depends: dpkg (>= 1.8.0)
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Auto Nice Daemon
  The auto nice daemon activates itself in certain intervals and renices jobs
  according to their priority and CPU usage. Jobs owned by root are left alone.

=== debian/rules ===
#!/usr/bin/make -f                                                                           
#export DH_VERBOSE=1                                                                         

%:
		dh $@

override_dh_installchangelogs:
		dh_installchangelogs CHANGELOG

=== debian/watch ===
version=3
http://sf.net/and/and-([\d.]+)\.tar\.gz
